/*
 *  ImgView  A simple image viewer
 *
 *  Copyright (C) 2013 Mats Peterson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  Please send any comments/bug reports to
 *  matsp888@yahoo.com  (Mats Peterson)
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char *input(char *title, char *prompt, char *dflt)
{
    static char s[80];
    char cmd[1024];
    FILE *f;

    sprintf(cmd, "gxmessage -center -title '%s' -entrytext '%s' '%s'",
            title, dflt ? dflt : "", prompt);
    if (! (f = popen(cmd, "r")))
        return NULL;
    if (! fgets(s, 80, f))
        return NULL;
    if (pclose(f))
        return NULL;
    s[strlen(s) - 1] = '\0';
    return s;
}
